## ros-r2b2-cartographer-ros 0.1.0

=== cartographer_ros/CMakeLists.txt ===
# Copyright 2016 The Cartographer Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

add_executable(cartographer_node
  node_main.cc)
target_include_directories(cartographer_node SYSTEM PUBLIC ${LUA_INCLUDE_DIR})
target_link_libraries(cartographer_node ${PROJECT_NAME})
ament_target_dependencies(cartographer_node
  "cartographer_ros_msgs"
  "console_bridge"
  "nav_msgs"
  "pcl_conversions"
  "rclcpp"
  "sensor_msgs"
  "tf2"
  "tf2_msgs"
  "tf2_ros"
)

install(TARGETS
  cartographer_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

# TODO(clalancette): Port these over to ROS2 once we have rosbag
# add_executable(cartographer_assets_writer
#   assets_writer_main.cc)
# target_include_directories(cartographer_assets_writer SYSTEM PUBLIC ${LUA_INCLUDE_DIR})
# target_link_libraries(cartographer_assets_writer ${PROJECT_NAME})
# ament_target_dependencies(cartographer_assets_writer
#   "cartographer_ros_msgs"
#   "console_bridge"
#   "nav_msgs"
#   "pcl_conversions"
#   "rclcpp"
#   "sensor_msgs"
#   "tf2"
#   "tf2_msgs"
#   "tf2_ros"
# )
#
# install(TARGETS
#   cartographer_assets_writer
#   ARCHIVE DESTINATION lib
#   LIBRARY DESTINATION lib
#   RUNTIME DESTINATION bin)
#
# add_executable(cartographer_offline_node
#   offline_node_main.cc)
# target_include_directories(cartographer_offline_node SYSTEM PUBLIC ${LUA_INCLUDE_DIR})
# target_link_libraries(cartographer_offline_node ${PROJECT_NAME})
# ament_target_dependencies(cartographer_offline_node
#   "cartographer_ros_msgs"
#   "console_bridge"
#   "nav_msgs"
#   "pcl_conversions"
#   "rclcpp"
#   "sensor_msgs"
#   "tf2"
#   "tf2_msgs"
#   "tf2_ros"
# )
#
# install(TARGETS
#   cartographer_offline_node
#   ARCHIVE DESTINATION lib
#   LIBRARY DESTINATION lib
#   RUNTIME DESTINATION bin)

=== debian/changelog ===
ros-r2b2-cartographer-ros (0.1.0-4xenial) xenial; urgency=high

  * First unstable development release

 -- The Cartographer Authors <google-cartographer@googlegroups.com>  Thu, 18 May 2017 04:00:00 -0000

=== debian/control ===
Source: ros-r2b2-cartographer-ros
Section: misc
Priority: extra
Maintainer: The Cartographer Authors <google-cartographer@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, liblua5.2-dev, libpcl-dev, libyaml-cpp-dev, ros-r2b2-ament-cmake, ros-r2b2-cartographer, ros-r2b2-cartographer-ros-msgs, ros-r2b2-console-bridge, ros-r2b2-nav-msgs, ros-r2b2-pcl-conversions, ros-r2b2-rclcpp, ros-r2b2-sensor-msgs, ros-r2b2-tf2, ros-r2b2-tf2-eigen, ros-r2b2-tf2-msgs, ros-r2b2-tf2-ros, ros-r2b2-urdfdom-headers, ros-r2b2-ros-workspace
Homepage: https://github.com/googlecartographer/cartographer_ros
Standards-Version: 3.9.2

Package: ros-r2b2-cartographer-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblua5.2-dev, libpcl-dev, libyaml-cpp-dev, ros-r2b2-cartographer, ros-r2b2-cartographer-ros-msgs, ros-r2b2-console-bridge, ros-r2b2-nav-msgs, ros-r2b2-rclcpp, ros-r2b2-sensor-msgs, ros-r2b2-tf2, ros-r2b2-tf2-msgs, ros-r2b2-tf2-ros, ros-r2b2-ros-workspace
Description: Cartographer is a system that provides real-time simultaneous localization and mapping (SLAM) in 2D and 3D across multiple platforms and sensor configurations.
 This package provides Cartographer's ROS integration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/r2b2/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Build type specific exports if any.

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/r2b2" -DAMENT_PREFIX_PATH="/opt/ros/r2b2" -DCMAKE_BUILD_TYPE=Release

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-r2b2-cartographer-ros//opt/ros/r2b2/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_install
